function dotg --description 'Generate gstreamer dot graph for selected file'
    if count $argv >/dev/null
        set dotpath "$argv"
    else
        set dotpath "$GST_DEBUG_DUMP_DOT_DIR"
    end

    find $dotpath -maxdepth 1 -regextype posix-extended -regex ".*\.(dot)" | fzf | read -l result

    if test -n "$result"
        dot -Tsvg "$result" -O
        mv "$result".svg ~/Pictures/gstreamer
    end
end
