function GetHumanReadableDate()
  let epoch = expand("<cword>")
  let date = trim(system("date -d @" . epoch))
  echo date
endfunction

function GetEpochDate()
  normal! `<v`>y
  let date = trim(system("date -d " . trim(shellescape(@@)) . ' "+%s"'))
  echo date
endfunction

nnoremap <LocalLeader>e :call GetHumanReadableDate()<CR>
xnoremap <LocalLeader>e :call GetEpochDate()<CR>
